:root {
    --main-theme-color: #000000; 
}

.back-button {
    position: absolute;
    top: 10px;
    left: 10px;
    display: inline-flex; 
    justify-content: center; 
    align-items: center; 
    width: 50px;
    height: 50px;
    border-radius: 50%; 
    background-color: #fff; 
    border: 2px solid var(--main-theme-color); 
    text-decoration: none;
    font-size: 30px;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,0.16), 0 2px 10px 0 rgba(0,0,0,0.12); /* Add a shadow for a 3D effect */
    transition: all 0.3s ease;
    z-index: 9999;
}

.back-button:before {
    content: "";
    width: 10px;
    height: 10px;
    border-top: 2px solid var(--main-theme-color);
    border-left: 2px solid var(--main-theme-color);
    position: relative;
    display: inline-block;
    transform: rotate(-45deg);
    left: 2.5px;
}


.back-button:hover {
    background-color: var(--main-theme-color);
    border-color: #fff; 
    transform: scale(1.2); 
}

.back-button:hover:before {
    border-top: 2px solid #fff;
    border-left: 2px solid #fff;
}
